- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
GNet::ConnectionLookup Class Reference

A class for getting more information about a connection from the operating system. More...

`#include <gconnectionlookup.h>`

## Classes
struct | Connection
| Holds information provided by GNet::ConnectionLookup::find(). More...

## Public Member Functions
| ConnectionLookup ()
| Constructor. More...
| ~ConnectionLookup ()
| Destructor. More...
Connection | find (Address local, Address peer)
| Looks up the connection and returns the matching Connection structure. More...

## Detailed Description

A class for getting more information about a connection from the operating system.

This is not implemented on all platforms. Currently the only extra information provided is the process-id of a local peer.

Definition at line 42 of file gconnectionlookup.h.

## Constructor & Destructor Documentation

GNet::ConnectionLookup::ConnectionLookup | ( |  | ) |

Constructor.

Definition at line 37 of file gconnectionlookup_unix.cpp.

GNet::ConnectionLookup::~ConnectionLookup | ( |  | ) |

Destructor.

Definition at line 42 of file gconnectionlookup_unix.cpp.

## Member Function Documentation

GNet::ConnectionLookup::Connection GNet::ConnectionLookup::find | ( | GNet::Address | local,
|  | GNet::Address | peer
| ) |  |

Looks up the connection and returns the matching Connection structure.

Returns an in-valid() Connection on error.

Definition at line 46 of file gconnectionlookup_unix.cpp.

References GNet::ConnectionLookup::Connection::m_valid.

The documentation for this class was generated from the following files:

- gconnectionlookup.h
- gconnectionlookup_unix.cpp